# Asterisk Project : Asterisk 13 Application_Park

Created by wikibot on Aug 08, 2014

# Park()

### Synopsis

Park yourself.

### Description

Used to park yourself (typically in combination with an attended transfer to know the parking space).

If you set the `PARKINGEXTEN` variable to a parking space extension in the parking lot, Park() will attempt to park the call on that extension. If the extension is already in use then execution will continue at the next priority.

### Syntax

    Park([parking_lot_name,[options]])

##### Arguments

- `parking_lot_name` - Specify in which parking lot to park a call.
  The parking lot used is selected in the following order:
  1) parking_lot_name option to this application
  2) `PARKINGLOT` variable
  3) `CHANNEL(parkinglot)` function (Possibly preset by the channel driver.)
  4) Default parking lot.
- `options` - A list of options for this parked call.
  - `r` - Send ringing instead of MOH to the parked call.
  - `R` - Randomize the selection of a parking space.
  - `s` - Silence announcement of the parking space number.
  - `c` - If the parking times out, go to this place in the dialplan instead of where the parking lot defines the call should go.
    - `context`
    - `extension`
    - `priority`
  - `t` - Use a timeout of `duration` seconds instead of the timeout specified by the parking lot.
    - `duration`

### See Also

- Asterisk 13 Application_ParkedCall

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538